Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class EventContextImpl

    java.lang.Object
      org.apache.ode.bpel.rtrep.v2.EventContextImpl

All Implemented Interfaces:
  EventContext

    public class EventContextImpl

extends java.lang.Object
implements EventContext

Bpel Event Context Implementation.

Constructor Summary
`EventContextImpl(OScope __scope, java.lang.Long __scopeInstanceId, OdeInternalInstance __runtimeContext)` Constructor

Method Summary
`java.lang.Long` | `getScopeInstanceId()` Get ScopeInstanceId
`java.lang.String` | `getVariableData(java.lang.String varName)` Get Variable data for the given variable name, for this scope instance
`java.lang.String[]` | `getVariableNames()` Get All variable names used in this scope Instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventContextImpl

    public EventContextImpl(OScope __scope,
                            java.lang.Long __scopeInstanceId,
                            OdeInternalInstance __runtimeContext)

  Constructor

  Parameters:
    `__scope` - Scope Object used in this scope instance.
    `__scopeInstanceId` - Scope Instance ID
    `__runtimeContext` - BPEL Runtime Context

Method Detail

### getVariableData

    public java.lang.String getVariableData(java.lang.String varName)

  Get Variable data for the given variable name, for this scope instance

  Specified by:
    `getVariableData` in interface `EventContext`
  Parameters:
    `varName` - Variable Name
  Returns:
    DOM Node as XML String. If no value exists or variable not initialized, NULL will be returnrd.

### getVariableNames

    public java.lang.String[] getVariableNames()

  Get All variable names used in this scope Instance

  Specified by:
    `getVariableNames` in interface `EventContext`
  Returns:
    Array of Variable Names. If no variable(s) exists, null will be returned.

### getScopeInstanceId

    public java.lang.Long getScopeInstanceId()

  Get ScopeInstanceId

  Specified by:
    `getScopeInstanceId` in interface `EventContext`
  Returns:
    scopeInstanceId

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD